## com.imcode.imcms.mapping
Class DocumentGetterWrapper

    java.lang.Object
      com.imcode.imcms.mapping.DocumentGetterWrapper

All Implemented Interfaces:
  DocumentGetter

Direct Known Subclasses:
  BatchDocumentGetter, CachingDocumentGetter, FragmentingDocumentGetter

    public class DocumentGetterWrapper

extends java.lang.Object
implements DocumentGetter

Constructor Summary
`DocumentGetterWrapper(DocumentGetter documentGetter)`

Method Summary
`DocumentDomainObject` `getDocument(java.lang.Integer documentId)` Returns published version of a document.
`DocumentDomainObject` `getDocument(java.lang.Integer documentId, java.lang.Integer version)` Returns custom document.
`java.util.List` `getDocuments(java.util.Collection documentIds)` Return a list of published documents in the same order as the documentIds
`DocumentDomainObject` `getWorkingDocument(java.lang.Integer documentId)` Returns working version of a document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentGetterWrapper

    public DocumentGetterWrapper(DocumentGetter documentGetter)

Method Detail

### getDocuments

    public java.util.List getDocuments(java.util.Collection documentIds)

  Description copied from interface: `DocumentGetter`
  Return a list of published documents in the same order as the documentIds

  Specified by:
    `getDocuments` in interface `DocumentGetter`

### getDocument

    public DocumentDomainObject getDocument(java.lang.Integer documentId)

  Description copied from interface: `DocumentGetter`
  Returns published version of a document.

  Specified by:
    `getDocument` in interface `DocumentGetter`

### getWorkingDocument

    public DocumentDomainObject getWorkingDocument(java.lang.Integer documentId)

  Description copied from interface: `DocumentGetter`
  Returns working version of a document.

  Specified by:
    `getWorkingDocument` in interface `DocumentGetter`
  Parameters:
    `documentId` - document's id.

### getDocument

    public DocumentDomainObject getDocument(java.lang.Integer documentId,
                                            java.lang.Integer version)

  Description copied from interface: `DocumentGetter`
  Returns custom document.

  Specified by:
    `getDocument` in interface `DocumentGetter`
  Parameters:
    `documentId` - document's id.